package com.ruoyi.bst.creditPay.mapper;

import java.util.List;
import com.ruoyi.bst.creditPay.domain.CreditPay;
import com.ruoyi.bst.creditPay.domain.CreditPayVO;
import com.ruoyi.bst.creditPay.domain.CreditPayQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 挂账支付Mapper接口
 *
 * @author ruoyi
 * @date 2025-05-28
 */
public interface CreditPayMapper
{
    /**
     * 查询挂账支付
     *
     * @param id 挂账支付主键
     * @return 挂账支付
     */
    CreditPayVO selectCreditPayById(Long id);

    /**
     * 查询挂账支付列表
     *
     * @param query 挂账支付
     * @return 挂账支付集合
     */
    List<CreditPayVO> selectCreditPayList(@Param("query")CreditPayQuery query);

    /**
     * 新增挂账支付
     *
     * @param creditPay 挂账支付
     * @return 结果
     */
    int insertCreditPay(CreditPay creditPay);

    /**
     * 批量新增挂账支付
     */
    int batchInsert(@Param("list") List<? extends CreditPay> list);

    /**
     * 批量修改挂账支付
     */
    int batchUpdate(@Param("list") List<? extends CreditPay> list);

    /**
     * 修改挂账支付
     *
     * @param creditPay 挂账支付
     * @return 结果
     */
    public int updateCreditPay(@Param("data") CreditPay creditPay);

    /**
     * 删除挂账支付
     *
     * @param id 挂账支付主键
     * @return 结果
     */
    int deleteCreditPayById(Long id);

    /**
     * 批量删除挂账支付
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCreditPayByIds(Long[] ids);
}
